@use '../../globals.scss';
@use "../../icons.scss";

.profile-picker-overlay {
  &:not(.shown) {
    display: none;
  }

  top: 0;
  z-index: 20; // less than overlay
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  box-sizing: border-box;

  // create background
  &::before {
    position: absolute;
    background-color: var(--background-color);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    opacity: 50%;
    content: "";
    z-index: -1;
  }

  // center align contents
  display: flex;
  justify-content: center;
  align-items: center;

  &>.holder {
    z-index: 1;
    padding: 1em;

    background-color: var(--background-color);
    box-sizing: border-box;

    background-color: var(--background-color);
    box-shadow: 0 0.1em 0.5em var(--shadow-color);

    max-width: 100%;
    min-width: min(100%, 40em);
    max-height: 90%;
    height: 30em;

    display: grid;
    grid-template-areas:
      "header"
      "table"
      "footer"
    ;
    row-gap: 0.3em;

    grid-template-columns: 1fr;
    grid-template-rows: max-content 1fr max-content;

    &>.header {
      grid-area: header;
      display: flex;
      justify-content: space-between;
      column-gap: 2em;

      &>.title {
        margin: 0.3em;
        // align-self: end;
        font-size: inherit;
        flex-grow: 1;
      }

      &>.close {
        grid-area: close;
        margin-left: 1em;
        width: 1.5em;
        height: 1.5em;
        @include icons.close;
      }
    }

    &>.footer {
      grid-area: footer;
      margin-top: 0.5em;

      display: flex;
      justify-content: center;
      column-gap: 2em;

      &>.button {
        padding: 0.1em 1em;
      }
    }

    &>.table {
      grid-area: "table";
      border-radius: var(--border-radius);
      border: 1px solid var(--border-secondary-color);

      display: grid;
      grid-template-areas: "sidebar content";
      grid-template-columns: max-content 1fr;
      grid-template-rows: 1fr;
      overflow: hidden;

      &>.sidebar {
        grid-area: sidebar;
        overflow: hidden;
        border-right: 1px solid var(--border-secondary-color);

        &>.list {
          position: relative;
          overflow-y: auto;
          height: 100%;


          &>.semester {
            overflow-y: auto;
            display: grid;
            border-bottom: 1px solid var(--border-secondary-color);
            grid-template-areas: "selected title";
            grid-template-columns: max-content 1fr;

            @include globals.button-like;
          
            & > .title {
              grid-area: title;
              font-size: 100%;
              padding: 0.2em 0.5em;
            }
            & > .selected_indicator {
              grid-area: selected;
            }
            &.selected > .selected_indicator {
              width: 0.5em;
              background-color: var(--background-accent-color);
            }
          }
        }
      }

      &>.content {
        grid-area: content;
        max-height: 100%;
        overflow: hidden;
        display: grid;

        grid-template-areas:
          "latest"
          "profile-list"
        ;

        grid-template-columns: 1fr;
        grid-template-rows: max-content 1fr;

        & > .latest {
          grid-area: latest;
        }
        & > .list {
          grid-area: profile-list;
          overflow-y: scroll;

          & > .profile {
            @include globals.button-like;
            padding: 0.1em 0.5em;
            border-bottom: 1px solid var(--border-secondary-color);
          }
        }
      }
    }
  }
}